const { series, src, dest } = require('gulp');
const gulp = require('gulp');
const sass = require('gulp-dart-sass');
const autoprefixer = require('gulp-autoprefixer');
const cssmin = require('gulp-cssmin');

gulp.task('compile', function () {
    return src('./theme-chalk/*.scss')
            .pipe(sass.sync().on('error', sass.logError))
            .pipe(autoprefixer({
                overrideBrowserslist: ['ie > 9', 'last 2 versions'],
                cascade: false
            }))
            .pipe(cssmin())
            .pipe(dest('./lib/theme-chalk'));
})

gulp.task('copyfont', function () {
    return src('./theme-chalk/fonts/**')
            .pipe(cssmin())
            .pipe(dest('./lib/theme-chalk/fonts'));
})



